var bodyParser = require("body-parser");
var express = require("express");
var multer = require("multer");

var multerData = multer();

var app = express();
// Create application/x-www-form-urlencoded parser
var urlencodedParser = bodyParser.urlencoded({ extended: false });

// avec cette ligne, index.html est par defaut la page d’accueil
app.use(express.static("public")); // ICI IMPORTANT !

// Avec la règle ci-dessous on peut redéfinir la page d’accueil
app.get("/", function(req, res) {
  // Page d’accueil
  res.sendFile(__dirname + "/public/index.html");
});

app.post("/process_post", urlencodedParser, function(req, res) {
  // Prepare output in JSON format
  const response = {
    first_name: req.body.first_name,
    last_name: req.body.last_name
  };
  console.log(JSON.stringify(response));
  res.end(JSON.stringify(response)); // plus tard, ça ira dans MongoDB par exemple...
});

app.post("/api/restaurants", multerData.fields([]), function(req, res) {
  let nom = req.body.nom;
  let cuisine = req.body.cuisine;

  let reponse = {
    msg: "J'insère un restaurant nom = " + nom + " cuisine = " + cuisine,
    data: "id du restaurant inséré " + Math.random(),
    err: ""
  };
  res.send(JSON.stringify(reponse));
});

var server = app.listen(8085, function() {});
